/* cards */
.activities__cards {
  display: flex;
  flex-wrap: wrap;
  gap: 4.347826087vw;
  justify-content: center;
  margin-bottom: 6.5217391304vw;
}

@media (min-width: 52.1875em) {
  .activities__cards {
    gap: 1.4583333333vw;
    margin-bottom: 4.1666666667vw;
  }
}

@media (min-width: 90em) {
  .activities__cards {
    gap: 21px;
    margin-bottom: 60px;
  }
}

/* card */
.activities__card {
  aspect-ratio: 366/274;
  border-radius: 1.5217391304vw;
  max-width: 43.4782608696vw;
  overflow: hidden;
  position: relative;
  width: 100%;
}

@media (min-width: 52.1875em) {
  .activities__card {
    border-radius: 1.1111111111vw;
    max-width: 25.4166666667vw;
  }
}

@media (min-width: 90em) {
  .activities__card {
    border-radius: 16px;
    max-width: 366px;
  }
}

/* hover animation */
@media (any-hover: hover) {
  .activities__card-anchor:hover .activities__card-arrow:before,
  .activities__card-anchor:focus-visible .activities__card-arrow:before {
    transform: translateY(-50%) scale(3);
  }

  .activities__card-anchor:hover .activities__card-arrow .arrow,
  .activities__card-anchor:focus-visible .activities__card-arrow .arrow {
    transform: translateX(0);
  }
}

/* image */
.activities__card-img {
  height: 100%;
  position: relative;
}

.activities__card-img:after {
  background: #5a5959;
  content: "";
  inset: 0;
  mix-blend-mode: hard-light;
  position: absolute;
}

.activities__card-img img {
  height: 100%;
  object-fit: cover;
  width: 100%;
}

/* title */
.activities__card-ttl {
  color: var(--color-white);
  font-size: 4.347826087vw;
  left: 50%;
  line-height: 1.75;
  position: absolute;
  top: 45%;
  transform: translate(-50%, -50%);
  white-space: nowrap;
  z-index: 1;
}

@media (min-width: 52.1875em) {
  .activities__card-ttl {
    font-size: 1.5277777778vw;
    top: 50%;
  }
}

@media (min-width: 90em) {
  .activities__card-ttl {
    font-size: 22px;
  }
}

/* arrow container */
.activities__card-arrow {
  align-items: center;
  background: var(--color-green);
  border-radius: 0.4347826087vw;
  bottom: 4.5652173913vw;
  display: flex;
  height: 5.2173913043vw;
  left: 50%;
  overflow: hidden;
  position: absolute;
  transform: translateX(-50%);
  width: 8.2608695652vw;
}

@media (min-width: 52.1875em) {
  .activities__card-arrow {
    border-radius: 0.1388888889vw;
    bottom: 1.6666666667vw;
    left: auto;
    right: 1.6666666667vw;
    transform: none;
    width: 3.125vw;
    height: 2.0138888889vw;
  }
}

@media (min-width: 90em) {
  .activities__card-arrow {
    border-radius: 2px;
    bottom: 24px;
    height: 29px;
    right: 24px;
    width: 45px;
  }
}

/* arrow background animation */
.activities__card-arrow:before {
  aspect-ratio: 1/1;
  background-color: var(--color-white);
  border-radius: 50%;
  content: "";
  position: absolute;
  right: 100%;
  top: 50%;
  transform: translateY(-50%);
  transform-origin: center left;
  width: 150%;
}

/* arrow movement */
.activities__card-arrow:before,
.activities__card-arrow .arrow {
  transition-duration: 0.5s;
  transition-property: transform;
  transition-timing-function: cubic-bezier(0.165, 0.84, 0.44, 1);
}

.activities__card-arrow .arrow {
  align-items: center;
  display: flex;
  flex-shrink: 0;
  height: 100%;
  justify-content: center;
  transform: translateX(-100%);
  width: 100%;
}

.activities__card-arrow .arrow img {
  height: auto;
  width: 2.3913043478vw;
}

@media (min-width: 52.1875em) {
  .activities__card-arrow .arrow img {
    width: 0.7638888889vw;
  }
}

@media (min-width: 90em) {
  .activities__card-arrow .arrow img {
    width: 11px;
  }
}
